Récupérer la liste des éléments complétés ou échoués éventuellement avec le contenu pour un lot spécifique
curl --request GET \
--url https://api.olostep.com/v1/batches/{batch_id}/items \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olostep.com/v1/batches/{batch_id}/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olostep.com/v1/batches/{batch_id}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"batch_id": "batch_abc123def456",
"object": "list",
"status": "completed",
"items": [
{
"custom_id": "product-123",
"retrieve_id": "ret_xyz789",
"url": "https://example.com/product/123",
"metadata": {
"source": "catalog_sync",
"priority": "high"
}
},
{
"custom_id": "product-456",
"retrieve_id": "ret_abc456",
"url": "https://example.com/product/456"
}
],
"items_count": 2
}{
"id": "error_abc123",
"object": "error",
"code": "validation_error",
"type": "https://docs.olostep.com/api-reference/errors/bad_request",
"status": 400,
"title": "Mauvaise Requête",
"detail": "Status must be either 'completed' or 'failed'",
"created": 1704067200,
"metadata": {}
}{
"id": "error_abc123",
"object": "error",
"code": "invalid_api_key",
"type": "https://docs.olostep.com/api-reference/errors/unauthorized",
"status": 401,
"title": "Non autorisé",
"detail": "Your API key is invalid",
"created": 1704067200,
"metadata": {}
}{
"id": "error_abc123",
"object": "error",
"code": "batch_not_found",
"type": "https://docs.olostep.com/api-reference/errors/not_found",
"status": 404,
"title": "Non Trouvé",
"detail": "Batch not found",
"created": 1704067200,
"metadata": {}
}{
"id": "error_abc123",
"object": "error",
"code": "internal_server_error",
"type": "https://docs.olostep.com/api-reference/errors/internal_error",
"status": 500,
"title": "Erreur interne du serveur",
"detail": "An unexpected error occurred",
"created": 1704067200,
"metadata": {}
}Lots
Éléments de lot
Récupère la liste des éléments traités pour un lot. Vous pouvez ensuite utiliser le retrieve_id pour obtenir le contenu avec le point de terminaison Retrieve
GET
/
v1
/
batches
/
{batch_id}
/
items
Récupérer la liste des éléments complétés ou échoués éventuellement avec le contenu pour un lot spécifique
Métadonnées : Si vous avez attaché des
metadata à des éléments individuels lors de la création du lot, elles seront renvoyées avec chaque élément dans la réponse.Autorisations
En-tête d'authentification Bearer sous la forme Bearer , où est ton jeton d'authentification.
Paramètres de chemin
L'ID du lot pour lequel récupérer les éléments.
Paramètres de requête
Statut des URLs à récupérer (complétés ou échoués).
Options disponibles:
completed, failed Curseur de pagination. Omet ce paramètre lors de la première requête. Pour les requêtes suivantes, utilise la valeur cursor de la réponse précédente. Voir Pagination pour plus de détails.
Nombre de résultats à retourner (recommandé 10-50).
Réponse
Réponse réussie avec des éléments de lot.
Cette page vous a-t-elle été utile ?